{% extends 'base.html.twig' %}

{% block title %}My Posts{% endblock %}

{% block body %}
<h1>My Posts</h1>
<ul class="list-group">
    {# Ici on accède directement aux posts du user actuellement
        connecté directement depuis le template #}
    {% for post in app.user.posts %}
    <li class="post list-group-item">
        <p>{{post.title}}</p>
        {% if post.author %}
        <small class="text-muted">{{post.author.email}}</small>
        {% else %}
        <small class="text-muted">Anonymous post</small>            
        {% endif %}
    </li>
    {% endfor %}
</ul>
{% endblock %}
